mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Security.Cryptography.AsymmetricAlgorithm System.Runtime.InteropServices.ComVisible(true)

You can use the class and derived classes to create digital signatures that help protect the integrity of your data. The provides an implementation of this class.

To use a public-key system to digitally sign a message, the sender first applies a hash function to the message to create a message digest. The sender then encrypts the message digest with the sender's private key to create the sender's personal signature. Upon receiving the message and signature, the receiver decrypts the signature using the sender's public key to recover the message digest and hashes the message using the same hash algorithm that the sender used. If the message digest that the receiver computes exactly matches the message digest received from the sender, the receiver can assume that the message was not altered while in transit. Note that a signature can be verified by anyone, because the sender's public key is common knowledge.

Newer asymmetric algorithms are available. Consider using the class, the class, or the class instead of the class. Use only for compatibility with legacy applications and data.

This algorithm supports key lengths from 512 bits to 1024 bits in increments of 64 bits.

Represents the abstract base class from which all implementations of the Digital Signature Algorithm () must inherit.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.DSA To be added

  Creates the default cryptographic object used to perform the asymmetric algorithm.

  A cryptographic object used to perform the asymmetric algorithm.

- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.DSA ``

  For , use the name System.Security.Cryptography.DSA.

  Creates the specified cryptographic object used to perform the asymmetric algorithm.

  A cryptographic object used to perform the asymmetric algorithm.

  The name of the specific implementation of to use.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Byte[] `` A will be thrown if the instance doesn't have a private key or if the parameter rgbHash isn't exactly 20 bytes long (like all SHA1 hashes are).

  When overridden in a derived class, creates the signature for the specified data.

  The digital signature for the specified data.

  The data to be signed.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.DSAParameters `` You are responsable to zeroize the private key (.) if you export it from the instance.

  When overridden in a derived class, exports the .

  The parameters for .

  true to include private parameters; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` The schema definition for DSA keys is detailled in section 4.4.2.1 of the "XML-Signature Syntax and Processing" available at http://www.w3.org/TR/xmldsig-core/

  Reconstructs a object from an XML string.

  The XML string to use to reconstruct the object.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Void `` Parameter is required if you want to import the DSA private key into the instance. Note that you are responsable to zeroize the private key inside the after it's been imported.

  When overridden in a derived class, imports the specified .

  The parameters for .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.String `` The schema definition for DSA keys is detailled in section 4.4.2.1 of the "XML-Signature Syntax and Processing" available at http://www.w3.org/TR/xmldsig-core/

  Creates and returns an XML string representation of the current object.

  An XML string encoding of the current object.

  true to include private parameters; otherwise, false.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` A will be thrown if the parameter rgbHash isn't exactly 20 bytes long (like all SHA1 hashes are) or if the signature length isn't 40 bytes long (as all DSA signatures are).

  When overridden in a derived class, verifies the signature for the specified data.

  true if matches the signature computed using the specified hash algorithm and key on ; otherwise, false.

  The hash of the data signed with . The signature to be verified for .